Jump to content

CKAN (The Comprehensive Kerbal Archive Network) - v1.31.2 Juno


DasSkelett
 Share

Recommended Posts

Hi there! I'm new here. I have been playing KSP for a while now and recently got into modding. I'm having issues with CKAN when removing certain mods. I get errors like this: * Next Star Industries 2:v2.4.2
 * TextureReplacer v4.3.1
The following inconsistencies were found:
* G:/steam library/steamapps/common/Kerbal Space Program/GameData/NSI/Plugins/NextStarIndustries.dll is registered to NextStarIndustries but has not been removed!
Error during installation!*

TextureReplacer and Next Star Industries are giving me issues. is there a way to fix this?

Link to comment
Share on other sites

32 minutes ago, Starforge Aerospace said:

* Next Star Industries 2:v2.4.2
 * TextureReplacer v4.3.1
The following inconsistencies were found:
* G:/steam library/steamapps/common/Kerbal Space Program/GameData/NSI/Plugins/NextStarIndustries.dll is registered to NextStarIndustries but has not been removed!
Error during installation!*

This error usually indicates that KSP is still running. Windows locks files (especially DLLs) while they're used by a running process, so CKAN can't remove them.

Make sure you you always close KSP before doing any mod changes with CKAN (or even manually). Even if it doesn't throw an error it could leave your game in an unstable state.

Link to comment
Share on other sites

Just now, DasSkelett said:

This error usually indicates that KSP is still running. Windows locks files (especially DLLs) while they're used by a running process, so CKAN can't remove them.

Make sure you you always close KSP before doing any mod changes with CKAN (or even manually). Even if it doesn't throw an error it could leave your game in an unstable state.

I always close KSP before adding or removing a mod. I dont understand why it locks the files when the game isnt even running. 

Link to comment
Share on other sites

12 hours ago, Starforge Aerospace said:

I always close KSP before adding or removing a mod. I dont understand why it locks the files when the game isnt even running. 

It can happen that the game doesn't close fully, and you can't see the window anymore but a process is still running in the background. Try logging out and back in again, or restarting the PC.

If you did that and CKAN can still not remove the DLLs, then there might be antivirus software interfering with it, that also happens every now and then. In this case, try disabling it and uninstall the mods again, if it works you know the culprit. If it still doesn't work, we need to investigate further, but then we need all the information we can get to figure out why it happens for you but not other people.

Link to comment
Share on other sites

4 hours ago, DasSkelett said:

It can happen that the game doesn't close fully, and you can't see the window anymore but a process is still running in the background. Try logging out and back in again, or restarting the PC.

If you did that and CKAN can still not remove the DLLs, then there might be antivirus software interfering with it, that also happens every now and then. In this case, try disabling it and uninstall the mods again, if it works you know the culprit. If it still doesn't work, we need to investigate further, but then we need all the information we can get to figure out why it happens for you but not other people.

i managed to fix it with a a system reboot but thanks for your help.

Link to comment
Share on other sites

I'm on Kubuntu 20.04(.3, I think) and I've been getting nagged by my system updater for a week or more about `ckan` having an upgrade -- but every time I try to install the upgrade from the repository (the one on the CKAN page, I checked) I get an error about "file size doesn't match" and then it asks if the mirror is in process of update?

I'm no Linux guru, but I think this means that the file on the repo has incorrect information, perhaps that information (size, checksums, and hashes) didn't get updated when the most recent update got uploaded?

Not critical to me, I haven't been playing much lately, never mind fiddling with the install, but I can't be the only person getting this message...

Link to comment
Share on other sites

13 minutes ago, Zeiss Ikon said:

I think this means that the file on the repo has incorrect information, perhaps that information (size, checksums, and hashes)

Yup, it does. Sorry about that. We had a race condition among multiple build/upload processes at the last release and there isn't a good way to fix it at this point (the files are crytpographically signed and only uploadable using some secure auth keys, so we can't just mangle them as we please):

We have made some changes that should prevent this from happening with the next release, though.

Link to comment
Share on other sites

Error while installing Tundra exploration .

Think it's a metadata problem.

error:

https://imgur.com/a/QRTGnfe

My Ckan and Ksp versions are up to date.

Tundra Dev has no idea.

Ckan status log.

  • Quote

    About to install:

     * Astronomer's Visual Pack-2k Textures v1.11 (cached)
     * Bluedog Design Bureau v1.7.1 (cached)
     * CollisionFX-ReUpdated 1.1.0 (cached)
     * Environmental Visual Enhancements Redux 3:1.11.2.1 (cached)
     * The Janitor's Closet 0.3.7.6 (cached)
     * KSC Extended 2.2 (cached)
     * KSP Interstellar Extended 1.26.26 (spacedock.info, 225.6 MiB)
     * Module Manager 4.1.4 (cached)
     * Near Future Construction 1.3.1 (spacedock.info, 33.3 MiB)
     * Near Future Electrical 1.2.2 (spacedock.info, 13.1 MiB)
     * Near Future Exploration 1.1.1 (github.com, 40.4 MiB)
     * Near Future Propulsion 1.3.2 (spacedock.info, 37.1 MiB)
     * scatterer 3:v0.0723 (cached)
     * Scatterer Sunflare 3:v0.0723 (cached)
     * SpaceX Launch Vehicles - Stock Size 6.5 (cached)
     * BDB Now in Colors! 2.0 (cached)
     * Textures Unlimited 1.5.10.25 (cached)
     * Tundra Exploration - Stockalike Dragon V2 and Falcon 9 3.3.0 (spacedock.info, 130.2 MiB)
     * Tundra's Space Center 2.0.1 (cached)
     * Tundra Technologies 3.3.0 (spacedock.info, 130.2 MiB)
     * Vaughn's Astroniki Sunflare for Stock KSP 1.0 (cached)
     * Contract Configurator 1.30.5 (cached)
     * Filter Extensions - Plugin 3.2.6 (cached)
     * KSP AVC 1.4.1.5 (cached)
     * KSC Harbor 1.2 (cached)
     * Shuttle Lifting Body 1.5.1 (cached)
     * AlphaMensae's Modular Launch Pads 2.1.4 (cached)
     * Patch Manager 0.0.17.2 (github.com, 32.9 KiB)
     * Interstellar Fuel Switch 3.25 (spacedock.info, 20.8 MiB)
     * PersistentRotation 1.8.7 (spacedock.info, 26.8 KiB)
     * Photon Sailor 1.7.0 (spacedock.info, 7.3 MiB)
     * BetterBurnTime 1.10 (spacedock.info, 92.8 KiB)
     * Hide Empty Tech Tree Nodes 1.3.0 (spacedock.info, 27.6 KiB)
     * Community Tech Tree 1:3.4.3 (spacedock.info, 611.8 KiB)
     * ReStock 1.3.1 (github.com, 222.8 MiB)
     * ReStock+ 1.3.1 (github.com, 18.1 MiB)
     * Waterfall Core 0.6.2 (github.com, 20.7 MiB)
     * Animated Decouplers v1.4.2.2 (cached)
     * Retractable Lifting Surface Module 0.2.1.1 (cached)
     * Near Future Solar Core 1.3.1 (cached)
     * Near Future IVA Props 1:0.6.4 (cached)
     * SmokeScreen - Extended FX Plugin 2.8.14.0 (cached)
     * Distant Object Enhancement Continued v2.0.2.0 (cached)
     * TextureReplacer v4.3.1 (cached)
     * Distant Object Enhancement Continued default config v2.0.2.0 (cached)
     * Astronomer's Visual Pack 2:v4.05 (cached)
     * Community Resource Pack 1.4.2 (cached)
     * DMModuleScienceAnimateGeneric v0.23 (cached)
     * B9 Part Switch v2.18.0 (cached)
     * Simple Adjustable Fairings - Plugin v1.11.0 (cached)
     * ClickThrough Blocker 1:0.1.10.15 (cached)
     * Zero MiniAVC 1:1.1.0.1 (cached)
     * Toolbar Controller 1:0.1.9.4 (cached)
     * SpaceTux Library 0.0.6 (cached)
     * Kerbal-Konstructs 1.8.1.15 (cached)
     * Custom Pre Lauch Checks 1.8.1 (cached)
     * Omega's Stockalike Structures: No Textures Required 0.0.12 (cached)
     * Kerbin Side Remastered 1.0.1 (cached)
     * Interstellar Fuel Switch Core 3.25 (spacedock.info, 20.8 MiB)
     * TweakScale - Rescale Everything! v2.4.4.5 (spacedock.info, 278.6 KiB)
     * Near Future Electrical Core 1.2.2 (spacedock.info, 13.1 MiB)
     * Dynamic Battery Storage 2:2.2.2.0 (github.com, 67.2 KiB)
     * Scatterer Default Config 3:v0.0723 (cached)
     * Tantares - Soviet Spacecraft v24.0 (cached)
     * Kerbal Reusability Expansion 2.9.1 (cached)
     * Firespitter Core v7.17 (cached)
    Downloading "https://spacedock.info/mod/172/KSP%20Interstellar%20Extended/download/1.26.26"
    Downloading "https://spacedock.info/mod/563/Near%20Future%20Construction/download/1.3.1"
    Downloading "https://spacedock.info/mod/558/Near%20Future%20Electrical/download/1.2.2"
    Downloading "https://github.com/post-kerbin-mining-corporation/NearFutureExploration/releases/download/1.1.1/NearFutureExploration_1_1_1.zip"
    Downloading "https://spacedock.info/mod/557/Near%20Future%20Propulsion/download/1.3.2"
    Downloading "https://spacedock.info/mod/223/Tundra%20Exploration%20-%20Stockalike%20Dragon%20V2%20and%20Falcon%209/download/3.3.0"
    Downloading "https://spacedock.info/mod/175/Interstellar%20Fuel%20Switch/download/3.25"
    Downloading "https://spacedock.info/mod/447/PersistentRotation/download/1.8.7"
    Downloading "https://spacedock.info/mod/1895/Photon%20Sailor/download/1.7.0"
    Downloading "https://spacedock.info/mod/21/BetterBurnTime/download/1.10"
    Downloading "https://spacedock.info/mod/577/Hide%20Empty%20Tech%20Tree%20Nodes/download/1.3.0"
    Downloading "https://spacedock.info/mod/534/Community%20Tech%20Tree/download/3.4.3"
    Downloading "https://spacedock.info/mod/127/TweakScale/download/2.4.4.5"
    Downloading "https://github.com/linuxgurugamer/PatchManager/releases/download/0.0.17.2/PatchManager-1.8.0-0.0.17.2.zip"
    Downloading "https://github.com/PorktoberRevolution/ReStocked/releases/download/1.3.1/ReStock_1_3_1.zip"
    Downloading "https://github.com/PorktoberRevolution/ReStocked/releases/download/1.3.1/ReStockPlus_1_3_1.zip"
    Downloading "https://github.com/post-kerbin-mining-corporation/Waterfall/releases/download/0.6.2/Waterfall_0_6_2.zip"
    Downloading "https://github.com/post-kerbin-mining-corporation/DynamicBatteryStorage/releases/download/2.2.2/DynamicBatteryStorage_2_2_2.zip"
    Module "Astronomer's Visual Pack-2k Textures" successfully installed
    Module "Bluedog Design Bureau" successfully installed
    Module "CollisionFX-ReUpdated" successfully installed
    Module "Environmental Visual Enhancements Redux" successfully installed
    Module "The Janitor's Closet" successfully installed
    Module "KSC Extended" successfully installed
    Module "KSP Interstellar Extended" successfully installed
    Module "Module Manager" successfully installed
    Module "Near Future Construction" successfully installed
    Module "Near Future Electrical" successfully installed
    Module "Near Future Exploration" successfully installed
    Module "Near Future Propulsion" successfully installed
    Module "scatterer" successfully installed
    Module "Scatterer Sunflare" successfully installed
    Module "SpaceX Launch Vehicles - Stock Size" successfully installed
    Module "BDB Now in Colors!" successfully installed
    Module "Textures Unlimited" successfully installed
    Trying to install TundraExploration 3.3.0, but it's not downloaded or download is corrupted
    Error during installation!
    If the above message indicates a download error, please try again. Otherwise, please open an issue for us to investigate.
    If you suspect a metadata problem: https://github.com/KSP-CKAN/NetKAN/issues/new/choose
    If you suspect a bug in the client: https://github.com/KSP-CKAN/CKAN/issues/new/choose
     

Have any idea? 

Edited by editor99
Link to comment
Share on other sites

38 minutes ago, editor99 said:

Error while installing Tundra exploration .

Have any idea? 

Looks the same as https://github.com/KSP-CKAN/NetKAN/issues/8425 (and https://github.com/KSP-CKAN/NetKAN/issues/8315).

The error is about validating the file names contained in the ZIP, and every time we've seen it it has been in a Chinese locale context, so our best guess is that Chinese-locale Windows doesn't like something about one of the filenames in that mod. But the exact problem isn't clear. Unfortunately it isn't really an issue that someone on another locale can investigate, so we're kind of stuck until a Chinese-locale user figures something out.

Edited by HebaruSan
Link to comment
Share on other sites

4 hours ago, HebaruSan said:

Looks the same as https://github.com/KSP-CKAN/NetKAN/issues/8425 (and https://github.com/KSP-CKAN/NetKAN/issues/8315).

The error is about validating the file names contained in the ZIP, and every time we've seen it it has been in a Chinese locale context, so our best guess is that Chinese-locale Windows doesn't like something about one of the filenames in that mod. But the exact problem isn't clear. Unfortunately it isn't really an issue that someone on another locale can investigate, so we're kind of stuck until a Chinese-locale user figures something out.

I'm Korean, and have an Korean installation of Windows. Is there something I can do? 

 

Edited by editor99
Link to comment
Share on other sites

I just installed a mod that says "any" for max version and it actually requires KSP 1.11 minimum - not backwards compatible according to the forum post. Obviously people should RTFD but would adding a minimum KSP version field make sense? Thanks for managing CKAN - the most essential "mod" IMO.

Link to comment
Share on other sites

6 hours ago, editor99 said:

I'm Korean, and have an Korean installation of Windows. Is there something I can do? 

Can you try the debug build of ckan.exe I linked here? If we're lucky it fixes the problem.

2 hours ago, Krazy1 said:

I just installed a mod that says "any" for max version and it actually requires KSP 1.11 minimum - not backwards compatible according to the forum post. Obviously people should RTFD but would adding a minimum KSP version field make sense? Thanks for managing CKAN - the most essential "mod" IMO.

CKAN already gives each mod release a minimum and maximum KSP version. The minimum version of the mod just doesn't have a column in the modlist, because it usually isn't important for most users, they only want to know whether the mod has already been updated for the newest KSP release. But you can still see the minimum version of each mod release in the "Versions" tab on the right. And CKAN always makes sure that it installs a release that is compatible with your current KSP, if needed it chooses an older one.

Link to comment
Share on other sites

12 hours ago, viperwolf said:

Hello, I started having this problem where it loads 10% then errors after a while.
[image]

This means that CKAN can't reach GitHub to download the current mod repository. This is often caused by bad anti-virus software or firewalls going crazy.
Check if you have something of that sort activated, and try again after disabling it. Also check if you can reach https://github.com/ and https://github.com/KSP-CKAN/CKAN-meta/archive/master.tar.gz in your browser and whether the second one successfully downloads a file.

Link to comment
Share on other sites

15 hours ago, DasSkelett said:

This means that CKAN can't reach GitHub to download the current mod repository. This is often caused by bad anti-virus software or firewalls going crazy.
Check if you have something of that sort activated, and try again after disabling it. Also check if you can reach https://github.com/ and https://github.com/KSP-CKAN/CKAN-meta/archive/master.tar.gz in your browser and whether the second one successfully downloads a file.

I was able to access and download. Ill check my AV if something has changed, I have not changed anything myself. Never know though. Thank you

 

Now it loaded, I have no idea why.

Edited by viperwolf
Link to comment
Share on other sites

I realize now that I have never used CKAN to its fullest potential. I just installed RP1 along with all its dependencies and some extras in 30 pain-free minutes. 

Thank you all so much for the incredible work you have done with this program. It is honestly amazing. 

Link to comment
Share on other sites

7 hours ago, Spaceman.Spiff said:

I realize now that I have never used CKAN to its fullest potential. I just installed RP1 along with all its dependencies and some extras in 30 pain-free minutes. 

Great to hear! In a sense, this was what CKAN was designed to do; some folks connected to the RealSolarSystem project were working on a mod installation utility (in Ruby rather than C#) to set up RSS around the time of CKAN's creation, and the CKAN spec cites it as an inspiration for CKAN's metadata format:

The resemblances are striking; "via: spaceport, addonid: 123" is a lot like a NetKAN $kref, "incompatible" and "requires" are basically the same as "conflicts" and "depends", and "gamedata" and "ignore" clearly influenced install stanzas and filters.

The "Fenwick" mentioned in RP-1's logo is, of course, also CKAN's founder. Presumably once another mega-modpack entered the RSS space, the need for a tool that could follow more than one "recipe" became clear.

Link to comment
Share on other sites

  • 2 weeks later...

Hi, 

I launched a new mod today called Kerbin Side Remastered Gap Extras.

It showed up on CKAN fine with the listed dependencies however the suggested mod KerbinSideRemasteredGap shows as "not indexed". The actual mod should be Kerbin Side Remastered GAP which is indexed on CKAN

Not sure if the information I provided when I set up the new mod on Spacedock caused the problem, but if it could be corrected I would be grateful. 

Fly Safe.

 

Edit: All sorted now. Thank-you very much :happy:

Edited by Caerfinon
Problem solved
Link to comment
Share on other sites

45 minutes ago, Caerfinon said:

It showed up on CKAN fine with the listed dependencies however the suggested mod KerbinSideRemasteredGap shows as "not indexed". The actual mod should be Kerbin Side Remastered GAP which is indexed on CKAN

How 'bout now?

Link to comment
Share on other sites

4 minutes ago, GameTourist said:

Been searching but can't find an answer to this.

Why would one want to create a "Fake" instance? What is this useful for?

Thanks

It is mostly a tool for us CKAN devs and mod authors, and especially for our CI infrastructure.

We can use fake instances to test complex relationships, check if mods install successfully, and test features of the client in general without needing several full throw-away game installations (which can become heavy on disk space).
Our CI uses it as well to test any metadata changes we want to do before merging them, to make sure we didn't break anything major.

Link to comment
Share on other sites

I have an issue: CKAN won't replace manually downloaded mods. I hit enter, then ctrl-d, and a downloading screen shows up for a second, but the file is still the same as earlier. Do I have to delete each mod file and replace it with the CKAN version?

Edit: CKAN isn't even downloading the mod. I deleted the old file, hit ctrl-d, and it didn't pop up in GameData.

Edited by MoonstreamInSpace
Link to comment
Share on other sites

3 minutes ago, MoonstreamInSpace said:

I have an issue: CKAN won't replace manually downloaded mods. I hit enter, then ctrl-d, and a downloading screen shows up for a second, but the file is still the same as earlier. Do I have to delete each mod file and replace it with the CKAN version?

Edit: CKAN isn't even downloading the mod. I deleted the old file, hit ctrl-d, and it didn't pop up in game date.

I assume you're in ConsoleUI (and/or on a Mac). Ctrl-d doesn't install a mod, it just downloads the ZIP to CKAN's download cache. To install a mod, press "+" and then F9 on the main mod listing (these hotkeys should be displayed on the bottom line of the window).

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...